var h = $(document).height();
var w = $(this).width();

$(window).on('load', function(){
    if(w <= 991){
        triggerActive();
    }
});

$('body').on( 'click', '.actPergunta', function(e){
    
    $(".actPergunta").removeClass("active");
    $(".container-perg-resp").removeClass('contRes');
    $(this).addClass("active");
    
    var pergunta = $(this).data("pergunta");
    
    $(".container-perg-resp").hide();
    
    $(".perg-"+pergunta).show().addClass('contRes');
    
    if(w > 991){
        $("html, body").animate({ scrollTop: 0 }, "slow");
    }else{
        $('html, body').animate(
        {
            scrollTop: $("#container-respostas").offset().top
        },"slow");
        
        $('html, body').animate({ scrollTop: h }, "slow");
    }
});

function triggerActive(){
    $(".actPergunta.active").trigger("click");
}

/*busca bairro*/
$(".busca_resposta").on("keyup", function() {
    
    $(".container-perg-resp").removeClass('contRes');
    
    var value = $(this).val().toLowerCase();
    
    if(value == ""){
        triggerActive();
    }
    else{
        $(".container-perg-resp").filter(function($key,div) {
            
            $(this).toggle(
               $(this).text().toLowerCase().indexOf(value) > -1
            );
            
            if($(div).attr("style") == '')
                $(div).addClass("contRes");
        });
    }
    
    if($('.contRes').length == 0){
        $('.container-cta').hide();
        $('.container-result-busca').show();
    }
        
    else{
        $('.container-cta').show();
        $('.container-result-busca').hide();
    }
});

/*contato*/
$(".btn-contato").on("click", function(){
    openForm();
    $('.open-modal-contato').modal('show');
});

function openForm(){
    $('.modal-title').html("Dúvidas? Fale conosco.");
    $('#form-contato input[name=assunto]').val("Ajuda");
    $("textarea#mensagem").val("");
    $('.content-result').hide();
    $('.content-result').html('');
    $('.content-form').show();
    $('.content-form #content-error').html('');
}